【Laravel5.x】エックスサーバーへのアップロード2015-10-03

ローカルの開発環境でインストールしたLaravel5.1をFTPでエックスサーバにアップロードした。
少しだけ手間取ったので、備忘記録として残しておく。

エックスサーバではPHPの推奨バージョンは現時点で5.3.3になっているが、それだとエラーが出てしまう。
5.4もダメで5.5だと問題なく動く。もしかするとLaravelはPHPのバージョンに影響を受けやすい?
それとエックスサーバのサーバパネルではPHP.ini設定はONにしておかないとこれまた動かない。
このONは、php.iniファイルをルートディレクトリーにおいても機能しない設定になるみたいだが、まあサーバパネル上で調整できるみたいだからなんとかなるだろう。
しかし原因は後日調べるとして、とにかくは動いてくれた。